;*******************************************************************************************
; Mit diesem Makro wird das Display mit 2x16 Zeichen von Electronic Assembly (EA DOG-M)
; initialisiert.
; In dem Makro wird das Unterprogramm "SchreibeDispKommando" aufgerufen. Dies muss im
; Hautprogramm definiert sein. Ebenfalls wird das Makro fr die Zeitverzgerung
; "_DELAY_TMR1_US" bentigt.
;*******************************************************************************************
_INIT_DISPLAY macro				;Displayinitialisierung EA DOG-M
	movlw 0x38						;Befehl: Function Set
	call SchreibeDispKommando
	movlw 0x39						;Befehl: Function Set (muss zweimal bertragen werden)
	call SchreibeDispKommando
	movlw 0x14						;Befehl: Bias Set
	call SchreibeDispKommando
	movlw 0x78						;Befehl: Contrast Set
	call SchreibeDispKommando
	movlw 0x52						;Befehl: Power/Icon/Contrast Control
	call SchreibeDispKommando
	movlw 0x69						;Befehl: Follower Control
	call SchreibeDispKommando
	_DELAY_TMR1_US d'200000'	;geforderte Wartezeit von 200 ms
	movlw 0x0C						;Befehl: Display ON/OFF Control
	call SchreibeDispKommando
	movlw 0x01						;Befehl: Clear Display
	call SchreibeDispKommando
	_DELAY_TMR1_US d'1100'		;geforderte Wartezeit von min. 1,08 ms
	movlw 0x06						;Befehl: Entry Mode Set
	call SchreibeDispKommando 

	endm								;Ende der Initialisierung
